//This file is part of NOALYSS and is under GPL
//see licence.txt
/**
 *javascript
 */

noalyss_nform = function () {
    this.request_detail = function (request_id) {
        try {
            var dgbox = "request_detail_div";
            waiting_box();


            var queryString = {
                act: 'request_detail',
                ac: access_code,
                gDossier: gDossier,
                plugin_code: plugin_code,
                boxid: dgbox,
                request_id: request_id
            };
            var action = new Ajax.Request(
                "ajax.php",
                {
                    method: 'GET',
                    parameters: queryString,
                    onFailure: ajax_misc_failure,
                    onSuccess: function (req) {
                        remove_waiting_box();
                        if (req.responseText == 'NOCONX') {
                            reconnect();
                            return;
                        }
                        var y = calcy(15);
                        var div_style = "position:absolute;" + ";top:" + y + "px";
                        add_div({id: dgbox, cssclass: 'inner_box', html: loading(), style: div_style, drag: true});
                        $(dgbox).update(req.responseText);

                    }
                }
            );
        } catch (e) {
            alert_box(e.message);
        }
    };
    this.save_request_detail = function (p_form) {
        try {
            var queryString = p_form.serialize(true);
            if ( $('choice').value==0) { smoke.alert("Faites un choix"); return false;}
            var dgbox = queryString['boxid'];
            waiting_box();
            removeDiv(dgbox);
            // For form , most of the parameters are in the FORM
            // method is then POST
            var queryString = p_form.serialize(true);

            var action = new Ajax.Request(
                "ajax.php",
                {
                    method: 'POST',
                    parameters: queryString,
                    onFailure: ajax_misc_failure,
                    onSuccess: function (req) {
                        remove_waiting_box();
                        if (req.responseText == 'NOCONX') {
                            reconnect();
                            return;
                        }
                        $('request_row_id'+queryString['request_id']).remove();
                    }
                }
            );
        } catch (e) {
            alert_box(e.message);
        }
    }
}

jsnform = new noalyss_nform();